org.apache.lucene.util

## Class QueryBuilder.TermAndBoost

- java.lang.Object
- - org.apache.lucene.util.QueryBuilder.TermAndBoost

- Enclosing class:
    QueryBuilder

      public static class QueryBuilder.TermAndBoost
      extends Object

  Wraps a term and boost

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `boost` the boost
    `Term` | `term` the term

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermAndBoost(Term term, float boost)` Creates a new TermAndBoost

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### term

          public final Term term

      the term

    - #### boost

          public final float boost

      the boost

  - ### Constructor Detail

    - #### TermAndBoost

          public TermAndBoost(Term term,
                              float boost)

      Creates a new TermAndBoost

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.